Last Comment Bug 748832 - Remove useless painting suppression code
: Remove useless painting suppression code
Status: RESOLVED FIXED
[qa-]
:
Product: Core
Classification: Components
Component: Widget: Android (show other bugs)
: unspecified
: x86_64 Linux
: -- normal (vote)
: mozilla15
Assigned To: Jeff Muizelaar [:jrmuizel]
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-25 09:48 PDT by Jeff Muizelaar [:jrmuizel]
Modified: 2012-08-14 08:13 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
+
fixed
fixed
+


Attachments
Don't ask if we're suppressed when we're never suppressed (1.12 KB, patch)
2012-04-25 09:48 PDT, Jeff Muizelaar [:jrmuizel]
no flags Details | Diff | Splinter Review
Remove dead paint supression code (2.40 KB, patch)
2012-04-25 09:56 PDT, Jeff Muizelaar [:jrmuizel]
bugmail: review+
blassey.bugs: approval‑mozilla‑aurora+
Details | Diff | Splinter Review

Description Jeff Muizelaar [:jrmuizel] 2012-04-25 09:48:06 PDT
Created attachment 618328 [details] [diff] [review]
Don't ask if we're suppressed when we're never suppressed

Bug 732564 disabled the painting suppression code in browser.js. This patch keeps us from calling it.
Comment 1 Kartikaya Gupta (email:kats@mozilla.com) 2012-04-25 09:50:30 PDT
Comment on attachment 618328 [details] [diff] [review]
Don't ask if we're suppressed when we're never suppressed

Review of attachment 618328 [details] [diff] [review]:
-----------------------------------------------------------------

It would be good to also remove the paintingSuppressed thing from browser.js and the IDL.
Comment 2 Jeff Muizelaar [:jrmuizel] 2012-04-25 09:56:34 PDT
Created attachment 618335 [details] [diff] [review]
Remove dead paint supression code

Removing it all together wasn't much more than doing it in two patches so I've included that.
Comment 3 Kartikaya Gupta (email:kats@mozilla.com) 2012-04-25 10:09:46 PDT
Comment on attachment 618335 [details] [diff] [review]
Remove dead paint supression code

Review of attachment 618335 [details] [diff] [review]:
-----------------------------------------------------------------

Looks good. I don't know what the rules are for changing the UUID on the IDL, but that should be done as well if it's needed.
Comment 4 Ed Morley [:emorley] 2012-04-26 10:36:29 PDT
https://hg.mozilla.org/mozilla-central/rev/f60b22354545
Comment 5 Jeff Muizelaar [:jrmuizel] 2012-04-26 23:56:27 PDT
Comment on attachment 618335 [details] [diff] [review]
Remove dead paint supression code

[Approval Request Comment]
User impact if declined: decreased painting performance
Testing completed (on m-c, etc.): on m-c
Risk to taking this patch (and alternatives if risky): low, the code is dead
String changes made by this patch: none
Comment 6 Alex Keybl [:akeybl] 2012-04-30 10:39:35 PDT
Let's find out if this is a beta blocker before landing on Aurora 14.
Comment 7 Brad Lassey [:blassey] (use needinfo?) 2012-04-30 13:50:53 PDT
Comment on attachment 618335 [details] [diff] [review]
Remove dead paint supression code

probably not a blocker, but really safe and a nice easy win
Comment 8 Jeff Muizelaar [:jrmuizel] 2012-05-02 13:40:38 PDT
https://hg.mozilla.org/releases/mozilla-aurora/rev/14a10a95e377

Note You need to log in before you can comment on or make changes to this bug.